package com.leafdigital.monitor;

import util.xml.*;

import com.leafdigital.ui.api.*;

import leafchat.core.api.*;

public class MonitorWindow
{
	public TextView viewUI;
	public CheckBox scrollUI;
	
	private MonitorPlugin plugin;
	private Window w;
	
	MonitorWindow(PluginContext context)
	{
		plugin=(MonitorPlugin)context.getPlugin();
		try
		{
			w=((UI)context.getSingleton(UI.class)).createWindow(
				XML.parse(getClass().getResourceAsStream("monitorwindow.xml")),this);
			w.show(false);
		}
		catch(XMLException e)
		{
			throw new BugException("Unable to create monitor window",e);
		}
	}
	
	void addLine(String xml)
	{
		try
		{
			viewUI.addLine(xml);
			if(scrollUI.isChecked()) viewUI.scrollToEnd();
		}
		catch(GeneralException e)
		{
			throw new BugException("Error adding line to monitor window",e);
		}
	}
	
	void focus()
	{
		w.activate();
	}
	
	void close()
	{
		w.close();
	}
	
	public void windowClosed()
	{
		plugin.windowClosed();
	}
}

